GpgFrontend::UI::ProxyConnectionTestThread Class Reference
Inheritance diagram for GpgFrontend::UI::ProxyConnectionTestThread:
Collaboration diagram for GpgFrontend::UI::ProxyConnectionTestThread:

## Signals

void | SignalProxyConnectionTestResult (const QString &result)

## Public Member Functions

| ProxyConnectionTestThread (QString url, int timeout, QWidget *parent=nullptr)
| Construct a new Proxy Connection Test Thread object. More...

## Protected Member Functions

void | run () override

## Private Attributes

QString | url_
QString | result_
int | timeout_ = 500

## Constructor & Destructor Documentation

## ProxyConnectionTestThread()

GpgFrontend::UI::ProxyConnectionTestThread::ProxyConnectionTestThread | ( | QString | url,
|  | int | timeout,
|  | QWidget * | parent = `nullptr`
| ) |  |

inlineexplicit

Construct a new Proxy Connection Test Thread object.

Parameters

  url |
  timeout |
  parent |

## Member Function Documentation

## run()

void ProxyConnectionTestThread::run | ( |  | ) |

overrideprotected

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

The source code version of this software was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com eric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

References SignalProxyConnectionTestResult().

## SignalProxyConnectionTestResult

void GpgFrontend::UI::ProxyConnectionTestThread::SignalProxyConnectionTestResult | ( | const QString & | result | ) |

signal

Parameters

  result |

Referenced by run().

The documentation for this class was generated from the following files:

- src/ui/thread/ProxyConnectionTestThread.h
- src/ui/thread/ProxyConnectionTestThread.cpp